Developers

Cancel appointment

Cancel a booked appointment

POST/appointments/{appointment_id}/cancel/

Cancel a booked appointment

Authorization

HTTPBearer XDoctronicUserID
AuthorizationBearer <token>

In: header

X-Doctronic-User-ID<token>

Doctronic user ID returned as data.id by POST /users/. This value identifies the user in your organization scope; it is not an API token.

In: header

Path Parameters

appointment_id*string

Header Parameters

Idempotency-Key?string

Unique key for safely retrying this mutation for 24 hours. Reuse the same key only with the same request payload.

Lengthlength <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/appointments/string/cancel/"
{  "code": "success",  "message": "Request successful",  "data": null}